------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-03-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(251, 191)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetName("")
player_0:SetPos(251, 191)
local npc_3 = CppScriptMgr:AddSimplePlayer(1100523, 248, 193, "", 0, 0)
npc_3:SetDir(5)
npc_3:SetHair(275, 1)
CppScriptMgr:WaitMilSec(500)
player_0:Say("Surrender now! This hat is the evidence!", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_3:Say("Ridiculous! You think a hat can prove anything?", 1000)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("The Sheriff Faull I met at Fool`s Paradise is real. The bloodstains prove it`s his!", 1500)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("After you killed him, you never wore this hat again!", 1500)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("Now let`s replay how you murdered Sheriff Faull!", 1500)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1000)
local npc_2 = CppScriptMgr:AddSimplePlayer(1100523, 275, 205, "", 0, 0)
npc_2:SetDir(2)
npc_2:SetHair(177, 1)
CppScriptMgr:SetViewPosByCell(268, 201)
local npc_0 = CppScriptMgr:AddSimplePlayer(1064176, 252, 202, "", 0, 0)
npc_0:RunTo(262, 202)
npc_0:Say("Help! Someone`s been killed!", 5000)
npc_0:SetDir(6)
local npc_1 = CppScriptMgr:AddSimplePlayer(1100100, 269, 202, "", 0, 0)
npc_1:SetDir(2)
player_0:SetPos(273, 200)
player_0:SetDir(2)
npc_3:SetHide(1)
CppScriptMgr:WaitMilSec(2310)
local effect_0 = CppScriptMgr:AddEffect("vskieff_vmsue", 275, 205, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(620)
npc_2:SetHair(275, 1)
npc_2:SetHair(177, 0)
npc_2:SetArmet(275, 0, 1)
CppScriptMgr:WaitMilSec(2070)